package shop.alien.entity.second.enums;

import lombok.Getter;

@Getter
public enum SecondUserCreditScoreEnum {

    BASE_SCORE(1, 300, "基础分"),
    CERTIFICATION_SCORE(2, 200, "认证分"),
    TRANSACTION_SCORE(3, 50, "交易成功"),
    SUSPECTED_OF_MONEY_LAUNDERING(4, -50, "洗钱嫌疑"),
    ABNORMAL_ACCOUNTV(5, -50, "账号异常"),
    TRADING_FRAUD(6, -50, "交易欺诈"),
    ABNORMAL_RELEASE(7, -50, "异常发布");

    private final Integer code;
    private final Integer score;
    private final String description;

    SecondUserCreditScoreEnum(Integer code, Integer score, String description) {
        this.code = code;
        this.score = score;
        this.description = description;
    }
}
